const winston = require("winston");

const logger = new (winston.Logger)({
  transports: [
    new (winston.transports.File)({
      name: "debug-file",
      filename: `${__dirname}/../../logs/${~~(Date.now() / 1000)}_debug.log`,
      level: "debug"
    }),
    new (winston.transports.File)({
      name: "info-file",
      filename: `${__dirname}/../../logs/${~~(Date.now() / 1000)}_info.log`,
      level: "info"
    }),
    new (winston.transports.Console)({
      level: "info"
    })
  ]
});

export default { logger };